---
apiVersion: external-secrets.io/v1beta1
kind: SecretStore
metadata:
  name: staging
spec:
  provider:
    onepassword:
      connectHost: https://onepassword-connect-staging:8080
      vaults:
        staging: 1  # look in this vault first
        shared: 2   # next look in here. error if not found
      auth:
        secretRef:
          connectTokenSecretRef:
            name: onepassword-connect-token-staging
            key: token
